### Method

# Gtk HeaderBar set_use_native_controls

since: 4.18

#### Declaration [src]

    void
    gtk_header_bar_set_use_native_controls (
      GtkHeaderBar* bar,
      gboolean setting
    )

#### Description [src]

Sets whether this header bar shows native window controls.

This option shows the “stoplight” buttons on macOS. For Linux, this option has no effect.

See also Using GTK on Apple macOS.

Available since: 4.18

Sets property | `Gtk.HeaderBar:use-native-controls`

#### Parameters

`setting`

  Type: `gboolean`

  True to show native window controls.